English

Google Apps can't be reinstalled

Hello,

after Update 1.8 my Play Store does not work anymore.

The tutorial on how to reinstall it does not work, because when I add the Google Apps installer widget to my home screen it tells me:
“Google Apple has been installed, remove this widget”.

How can I get the widget to reinstall the apps. What do I have to uninstall. I alredy uninstalled everything google related with my deinstaller, but the widget keep telling me that the Google Apps are already installed.

Hi @Jonathan_Schwankenso, welcome to the forum! You might want to introduce yourself.

I did some research around the forum (you can also do by clicking the little magnifying glass above) and found the following statement:

Does this resemble your problem?

Do [these steps][Edit: Link dead] help to solve your problem?

Stefan

Edit: Google Apps shouldn’t be so troublesome anymore because starting from Fairphone OS 1.8.5, Google Apps can be installed through the Fairphone Updater rather than through a specific widget.

If you are still experiencing troubles, check the interactive tutorials:

I´ve the FP1 first batch and updated manually with Storage_Upgrader_1_8_5 following the instructions step by step. The installation was successful and there is now one partition. The FP Updater tells my system is 1.8.5 (but Fairphone OS tells me about Version 6 FP 1.8.4 …?)

But every time I´ve using the Google Apps Installer the Fairphone Updater tells me after the reboot to reinstall the App Store again.

I don´t have any Google App on my phone. I´ve tried everything like to stop the FP Updater App with clearing cache and also clearing cache and data in the recovery mode. It is not possible to change the OS by using the updater. In the recovery mode a new manually update isn´t possible because the folder download isn´t recognized any more and it does´t also find the additional SD-card in this mode.

What now??

You need the file FP1U - Mid-2014 (2nd batch) & FP1 with unified storage because you already preformed the storage update. You only have to apply the storage updater once.
So please preform the update again with the following file FP1U - Mid-2014 (2nd batch) & FP1 with unified storage
Try to copy/past this file to your sd-card by taking your sd-card out of the phone and connect directly to your pc.
Succes.

I have the same problem as Holger: FP1 first batch, I first updated manually to Kola Nut 1.8.5 from 1.5 (my installer hasn’t worked since Cherry 1.6 was announced so I put off upgrading until now), and then I manually ran the Storage_Upgrader_1_8_5 following the instructions step by step. The installation went okay and there is now one partition. Like Holger, every time I run the Google Apps Installer the Fairphone Updater tells me after the reboot to reinstall the App Store again.

I tried to go back to OS Cherry 1.6 with the Updater, but after the reboot the Updater told me I was still in 1.8.5 (is there anywhere else where I can see which version is running?). In the recovery mode a new manual update isn´t possible because neither the phone memory nor the sd-card is recognized.

I’ve got basic apps, but I would like to get everything else back… Any thoughts or similar experiences?

EDIT: perhaps it is significant that nowhere in the process I got a question about superuser access…

I believe the problem is identical to the one described in Signature verification failed.

Hi,
After istalling of the Pre-update Kola Nut 1.8.5 I lost my playstore and get displayed the google apps lost connection.
How can I restore the playstore?

1 Like

Is there not a new option in the FP updater app itself? I thouhgt this is one of the new features of this updater and why the Pre-update is neccassary?!
Please report back if this is working.
But also I think this is not the the right thread to ask problems with installing 1.8.5. Please start a new thread or looking up an existing… (Moderator-EDIT: Thanks for pointing this out, the post has been moved.)

My problem indeed seems very similar to the one in the thread Signature verification failed, except I never once got that message (and therefore didn’t recognize it as a similar topic).

The advice from Lidwien that keeps coming back is to try and install the update for one partition, by putting it on the sd-card. However, I do have that file on the sd-card, but in Recovery Mode, the command line for Install from sc-card is completely empty: no files, no folders. And if I read correctly, the same goes for all the other with this problem.

I’m a bit miffed, because today I got a general mail saying that update 1.8.5 will be available from tomorrow (?!) and includes a pre-update of the installer. Since my installer hasn’t worked well for ages, I didn’t realise that the manual install files went out ahead of the general update. I am kinda sorry I updated to one partition now, if I had just stuck with 1.8.5 but without the one partition update, I might have had problems with storage for apps, but at least I would have still had them… Perhaps when the update is added to the installer tomorrow it will do some good for us. I’m crossing my fingers.

EDIT: @Therob: the google app store installation does indeed run from within the installer now, so that much has changed, but it doesn’t actually work.

@therob Using the Fairphone Updater App for installing GAPPS / the Playstore won’t work at all, same as using other methods (widget and notification which my updated 1.85 has shown me). Maybe it has to do with Fairphone Updater App not being listed in Superuser access control list, neither is the system. Maybe this causes many of the listed issues here. Or maybe the reason why it did not get listed caused probably all of the listed issues here and in the signature verification failed thread mentioned by me before.

Hi!

Same thing here. After manually installing the Storage_Upgrader_1_8_5.
Always had issues with updating FP software but this is really bad.

Hope the solution is close…

Thanks,
Vitor

Did you run the GAPPS installation after the storage upgrade?

Hi!

Yes I did. The GAAPS downloads and installs. Finally asks me to reboot.
After that the android robot appears installing and in the end it all remains the same. No GAPPS and shows a notifications that says GAPPS needs to be reinstaled.

Just in case I did all the process one more time and goes always the same.

Thanks,
Vitor

I never installed GAPPS so I’m no expert but this sounds similiar to problems some people experienced when installing new updates (mainly beta testers). The solution was to keep the phone charged and tick “stay awake” in settings>developer options while running the update. Maybe this helps with GAPPS too.

So… I had to manually update to 1.8.5 and then I have this issue. So I followed the first piece of advice on the linked Signature Verification thread, to wipe the cache, and now I have signature verification but didn’t before.

I’ll restart but then I guess I’ll grab the 1.8.5 version upgrade for phones that are the later generation? I have the very original phone but this upgrade I used 1.8.5 Storage Updater to get the storage fixed.

I can’t perform a new update because my SD Card is no longer detected…

AFAIK you don’t need an sd card if you run the update through the updater app (provided you have enough space)

it’s probably the same problem I had after the earlier update to 1.6. From TechForums I learned that Playstore losing connection happens with all kinds of devices, not only FP. There are lots of suggestions on internet to fix it.
As far as I remember now, none worked for me. At last I decided to install another app-store (1mobile I think it was called, and there are warnings about it). There I found Playstore again, re-installed it and if I remember well, it started working again. Had them both for a while, but they both would tell me about new app-updates, and didn’t see updates done by the other. So I skipped 1mobile again. Hope this helps you.

@paulakreuzer didn’t work. Reinstalled as tou said using the installer with the option ticked in developer options and the phone charged…

@Herm56 without Playstore I can´t use gmail, load gmail contacts etc… i think…

Thanks,

Isn’t there a way to install manually Playstore? I think I need to know the right version…